Bug 1119759 - aide segfaults while processing report_attributes
Summary: aide segfaults while processing report_attributes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: aide
Version: 6.5
Hardware: All
OS: Linux
urgent
low
Target Milestone: rc
: ---
Assignee: Daniel Kopeček
QA Contact: Martin Žember
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 12:52 UTC by Martin Žember
Modified: 2015-07-13 04:14 UTC (History)
3 users (show)

Fixed In Version: aide-0.14-7.el6
Doc Type: Bug Fix
Doc Text:
Prior to this update, the AIDE utility did not process the 'report_attributes' parameter correctly. Consequently, running the 'aide --check' command resulted in an incomplete report and a segmentation fault. A patch has been applied to address this bug, and AIDE now works as expected when reporting forced attributes.
Clone Of: 651917
Environment:
Last Closed: 2014-07-28 10:31:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0948 normal SHIPPED_LIVE aide bug fix update 2014-07-28 14:31:44 UTC

Description Martin Žember 2014-07-15 12:52:06 UTC
+++ This bug was initially created as a clone of Bug #651917 +++

Description of problem:

- see original bug for details

- this bug is fixed in RHEL-7


Version-Release number of selected component (if applicable):
0.14-5.el6

Comment 6 errata-xmlrpc 2014-07-28 10:31:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0948.html


Note You need to log in before you can comment on or make changes to this bug.